header {
  	display: grid;
	grid-template-columns: 1fr 10fr;
	background-image: url('Bilder/header.jpg');
	background-size: cover; /* Cover the entire header */ 
    background-position: center; /* Center the image */ 
	padding: 0em;
	font-family: Chalkboard, sans-serif;
	
}

header a {
	grid-column: 1/2;
	justify-self: center;
	align-self: center;
  }

header nav {
	grid-column: 2/3;
	justify-self: stretch;
	align-self: center;
}

header img {
	width: 7em;
	height: auto;
}

a {
	text-decoration: none;
  }
  
header ul {
	background: transparent;
	list-style: none;
	margin: 0;
	padding-left: 0;
  }
  
header ul li {
	color: transparent;
	background:  transparent;
	display: block;
	float: left;
	padding: 1rem;
	position: relative;
	text-decoration: none;
	transition-duration: 0.5s;
  }
	
header ul li a {
	color: rgb(128, 128, 128);
  }
  
header ul > li:hover,
header ul > li:focus-within {
	background: rgba(0, 0, 0, 0.25);
	cursor: pointer;
	border-radius: 0.5em;
  }

header ul li:hover > a,
header ul li:focus-within > a {
	color: rgb(255, 255, 255);
  }
  
header li:focus-within a {
	outline: none;
  }
  
header ul li ul {
	background: transparent;
	visibility: hidden;
	min-width: 1rem;
	position: absolute;
	transition: all 0.5s ease;
	margin-top: 1rem;
	left: 0;
	display: none;
  }

header ul li ul li{
	color: rgb(255, 255, 255);
	background:  rgba(0, 0, 0, 0.25);
	display: block;
	float: left;
	padding: 1rem;
	position: relative;
	text-decoration: none;
	border-radius: 0.5em;
	transition-duration: 0.5s;
  }
  
header ul li:hover > ul,
header ul li:focus-within > ul,
header ul li ul:hover,
header ul li ul:focus {
	 visibility: visible;
	 opacity: 0.6;
	 display: block;
  }

header ul li ul li a {
	color: #ffffff;
  }

header ul li ul li:hover > a,
header ul li ul li:focus-within > a {
	  color: rgb(128, 128, 128);
	}
  
header ul li ul li {
	clear: both;
	width: 100%;
  }

nav ul li ul li ul {
    position: absolute; left: 100%; top:-33%;
}




body {
	width: 100%;
	margin: 0;
	padding: 0;
}


.mainStartseite::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('Bilder/header.jpg');
    background-size: cover;
    background-position: center;
    opacity: 0.1;
	z-index: -1; /* Ensure the image is behind the content */
}

.mainEinfuehrung{
	background: rgba(255, 226, 129, 0.15);
	font-family: Verdana, Geneva, Tahoma, sans-serif;
	padding: 1em;
}

hr.einfuehrung{
	border: 1px solid rgba(255, 226, 129, 1);
	width: 100%;
	margin-top: 1em;
	margin-bottom: 1em;
}

.aufgabenstellung{
	text-align: center;
}

.ggbApplet{
	margin-right:auto;
    margin-left:auto;
	margin-top: 1em;
	margin-bottom: 1em;
	width: 80%;
}

.anweisung{
	color:#2200ff; 
    font-weight:bold;
}

.video{
	margin-right:auto;
	margin-left:auto;
	margin-top:1em;
	margin-bottom:1em;
	height: auto;
	width: 50%;
	aspect-ratio: 16 / 9;
}

@media (min-width: 601px) and (max-width: 1024px) {
	.video{
		width: 80%;
	}
}

@media (max-width: 600px) {
	.video{
		width: 100%;
	}
}

.video iframe {
	width: 100%;
	height: 100%;
	border: 0;
	display: block;
}


